> ## Documentation Index
> Fetch the complete documentation index at: https://atlas-a61958e8.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Integration



## OpenAPI

````yaml https://zeus-api.atlas.so/openapi.json post /v1/integration/{integration_id}/update-settings
openapi: 3.1.0
info:
  title: Zeus public API
  description: Zeus public API Documentation
  version: '1'
servers:
  - url: https://zeus-api.atlas.so
    description: Zeus public API
security: []
paths:
  /v1/integration/{integration_id}/update-settings:
    post:
      tags:
        - Integration
      summary: Update Integration
      operationId: update_integration_v1_integration__integration_id__update_settings_post
      parameters:
        - name: integration_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Integration Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ZeusAPISettings'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationInfoPublic'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer401: []
components:
  schemas:
    ZeusAPISettings:
      properties:
        supportedFeatures:
          $ref: '#/components/schemas/IntegrationSupportedFeatures'
        toneId:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Toneid
          description: >-
            ID of custom tone configuration. Overrides tone_type for
            transformations
        firstResponseToneId:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Firstresponsetoneid
          description: >-
            ID of custom tone configuration. Overrides tone_type for first
            response
        channelsSettings:
          additionalProperties: true
          type: object
          title: Channelssettings
          default: {}
        name:
          type: string
          title: Name
        webhook:
          anyOf:
            - $ref: '#/components/schemas/WebhookSettings'
            - type: 'null'
      type: object
      required:
        - name
      title: ZeusAPISettings
    IntegrationInfoPublic:
      properties:
        integrationId:
          type: string
          format: uuid
          title: Integrationid
        integration:
          type: string
          title: Integration
        settings:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Settings
      type: object
      required:
        - integrationId
        - integration
      title: IntegrationInfoPublic
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    IntegrationSupportedFeatures:
      properties:
        typing:
          type: boolean
          title: Typing
          description: If `true`, the integration supports typing events
          default: true
        escalation:
          type: boolean
          title: Escalation
          description: >-
            If `true`, a webhook event is sent when the conversation is
            escalated
          default: true
        closeTicket:
          type: boolean
          title: Closeticket
          description: If `true`, a webhook event is sent when the conversation is closed
          default: true
        conversationSummary:
          type: boolean
          title: Conversationsummary
          description: >-
            If `true`, a summary of the conversation is generated and viewable
            in Run history
          default: true
        conversationTimeout:
          type: boolean
          title: Conversationtimeout
          description: If `true`, the conversation will be closed after a timeout
          default: false
        verifierResolution:
          type: boolean
          title: Verifierresolution
          description: >-
            If `true`, 'Did we answer your question?' will be shown to the user
            in the system deems the conversation is resolved
          default: false
        verifierEscalation:
          type: boolean
          title: Verifierescalation
          description: >-
            If `true`, the verifier can escalate the conversation, if AI agent
            fails to escalate
          default: false
        csat:
          type: boolean
          title: Csat
          description: If `true`, a webhook event is sent when the conversation is closed
          default: true
        messageInEscalation:
          type: boolean
          title: Messageinescalation
          description: >-
            If `true`, a message is sent to the user when the conversation is
            escalated
          default: true
        messageInEndConversation:
          type: boolean
          title: Messageinendconversation
          description: >-
            If `true`, a message is sent to the user when the conversation is
            closed
          default: true
        getPastConversationsTool:
          type: boolean
          title: Getpastconversationstool
          description: If `true`, the integration supports the get past conversations tool
          default: false
        externalCustomerId:
          type: boolean
          title: Externalcustomerid
          description: >-
            If `true`, the integration supports the external customer id and
            uses it to find the customer
          default: false
        inactivityPrompt:
          type: boolean
          title: Inactivityprompt
          description: If `true`, the integration supports the inactivity prompt
          default: true
        streaming:
          type: boolean
          title: Streaming
          description: If `true`, the integration supports streaming
          default: false
        verifier:
          type: boolean
          title: Verifier
          description: If `true`, the integration supports the verifier
          default: true
        tone:
          type: boolean
          title: Tone
          description: >-
            If `true`, the integration supports tone and AI messages are
            transformed to the configured tone
          default: true
        conversationTitle:
          type: boolean
          title: Conversationtitle
          description: If `true`, a conversation title will be generated using AI
          default: true
        customerMessageGuardrails:
          type: boolean
          title: Customermessageguardrails
          description: If `true`, the integration supports customer message guardrails
          default: true
        preemptiveRetrieval:
          type: boolean
          title: Preemptiveretrieval
          description: >-
            If `true`, executes get_relevant_documents tool on the first
            meaningful human message
          default: false
      type: object
      title: IntegrationSupportedFeatures
    WebhookSettings:
      properties:
        url:
          type: string
          maxLength: 65536
          minLength: 1
          format: uri
          title: Url
          examples:
            - http://www.example.com/
        headers:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Headers
        metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Metadata
      type: object
      required:
        - url
      title: WebhookSettings
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer401:
      type: http
      scheme: bearer

````